import java.io.InputStream;
import java.io.OutputStream;
import java.io.FileInputStream;
import java.lang.Thread;

public class SongStream implements Runnable
{
	private InputStream in;
	private OutputStream out;
	String fileName = null;
	boolean shouldStop = false;
	Thread myThread = null;
	
	public SongStream(InputStream in, OutputStream out)
	{
		this.in = in;
		this.out = out;
	}
	
	public void SendSong(String fileName)
	{
		shouldStop = false;
		this.fileName = fileName;
		myThread = new Thread(this);
		myThread.start();
	}
	
	public void stop()
	{
		shouldStop = true;	
	}
	
	public OutputStream GetSongStream()
	{
		return out;	
	}
	
	public void run()
	{
		byte buf[] = new byte[1012];
		FileInputStream fileStream;
		
		System.out.println("song name to play: "+fileName);
		
		try
		{
			fileStream = new FileInputStream(fileName);
			while( fileStream.available() > 0 )
			{
				if( shouldStop )
					return;
				fileStream.read(buf);
				out.write(buf);
			}	
		}
		catch(Exception e)
		{
			System.out.println("Exception in sendsong:::" +e);
		}
		
	}
	
}
